Endpoint für den täglichen Verbrauch pro Nutzer
curl --request GET \
--url https://api.devin.ai/v2/enterprise/consumption/daily/{user_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v2/enterprise/consumption/daily/{user_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v2/enterprise/consumption/daily/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"consumption_by_date": {},
"consumption_by_org_id": {},
"total_acus": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Verbrauchs-Endpunkte
Täglicher Verbrauch je Benutzer
Gibt den täglichen Verbrauch für einen bestimmten Benutzer zurück
GET
/
v2
/
enterprise
/
consumption
/
daily
/
{user_id}
Endpoint für den täglichen Verbrauch pro Nutzer
Die Consumption-API steht nur Konten im Enterprise-Plan zur Verfügung. Teams und Self-serve-Organisationen
erhalten eine
403-Antwort; es gibt keinen kontospezifischen Schalter, den der Support aktivieren kann.Zeitzonenverhalten
Nach Organisation filtern
org_ids enthalten die Ergebnisse alle den angegebenen Organisationen zugeordneten ACUs: sowohl ACUs aus Devin-Sitzungen als auch ACUs aus Devin Desktop und Devin CLI, die jeweils der primären Abrechnungsorganisation eines Nutzers zugeordnet sind. Informationen dazu, wie die primäre Abrechnungsorganisation eines Nutzers ermittelt wird, finden Sie unter Local Agent Controls.Autorisierungen
Persönlicher API Key (apk_user_*) nur für Enterprise-Administratoren

